optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputStage.SignalGenerator Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.SignalGenerator:

## Public Member Functions
def | __init__ (self, int channel=0, board=None, sys_id_base=0x60)
def | SetUnit (self, value)
def | GetUnit (self)
def | Run (self)
def | Stop (self)
def | GetRunningStatus (self)
def | SetShape (self, value)
def | GetShape (self)
def | SetFrequency (self, value)
def | GetFrequency (self)
def | SetAmplitude (self, value)
def | GetAmplitude (self)
def | SetOffset (self, value)
def | GetOffset (self)
def | SetPhase (self, value)
def | GetPhase (self)
def | SetCycles (self, value)
def | GetCycles (self)
def | SetDutyCycle (self, value)
def | GetDutyCycle (self)
def | SetExternalTrigger (self, value)
def | GetOutput (self)
def | SetStairCount (self, value)
def | GetStairCount (self)
def | SetExtTriggerGPIO (self, value)
def | GetExtTriggerGPIO (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False)
def | set_register_id (self, int register_id, value, type=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_id (self, int register_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| name
| sys_id
| unit
| run
| shape
| frequency
| amplitude
| offset
| phase
| cycles
| duty_cycle
| external_trigger
| output
| stair_count
| ext_trigger_gpio
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Channel Systems - Signal Generator Channel
    System ID for channel 0: 0x60

    *
    *  Signal Generator is a system for generating input signals of particular \ref WaveformShape "shapes".
    *  It is an input stage system, meaning that it is a system used as the very first stage of
    *  \ref signalflow.
    *
    *  To set it up, all the appropriate registers (seen in the table below) have to be configured first.
    *  The shape of the signal, its frequency, amplitude, offset and phase can be adjusted.
    *  For the square and pulse waveforms, the signal's duty cycle can be configured.
    *
    *  The unit type of the value being output by the
    *  SignalGenerator, must match to the control mode selected by the \ref SignalFlowManager "Signal Flow Manager".
    *
    *  By default, the Signal Generator will continuously output the waveform corresponding to the configuration.
    *  If only a single period is desired (or N periods for some finite positive integer N),
    *  the number of desired periods to execute has to be set to the "cycles" register before running the system.
    *  A negative value in this register corresponds to infinite looping.
    *
    *  Finally, to get the configured SignalFlow generator to run, the following steps have to take place:
    *   -# The Signal Generator system has to be set as active Input Stage system for the corresponding channel. This is done through the \ref SignalFlowManager "Signal Flow Manager" system.
    *   -# The "Run" register of the corresponding Signal Generator system has to be set to true (any non-zero value).
    *
    *   ### Register Map:
    *
    *  | Address    | Name                     | Default Value | Description                                                                                                               | Type                  | Access
    *  | -----------|--------------------------|---------------|---------------------------------------------------------------------------------------------------------------------------|-----------------------|-------------------
    *  | 0x6[0-7]00 | Unit type                | 0             |                                                                                                                           | \ref ChannelValueType | read write
    *  | 0x6[0-7]01 | Run                      | false         | Turn Signal Generator on/off                                                                                              | boolean               | read write
    *  | 0x6[0-7]02 | Shape                    | 0             |                                                                                                                           | \ref WaveformShape    | read write
    *  | 0x6[0-7]03 | Frequency                | 0.0           | Frequency in Hz of generated signal                                                                                       | float                 | read write
    *  | 0x6[0-7]04 | Amplitude                | 0.0           | Amplitude of generated signal                                                                                             | float                 | read write
    *  | 0x6[0-7]05 | Offset                   | 0.0           | Offset of generated signal                                                                                                | float                 | read write
    *  | 0x6[0-7]06 | Phase                    | 0.0           | Phase in rad of generated signal                                                                                          | float                 | read write
    *  | 0x6[0-7]07 | Cycles                   | -1            | Number of cycles to be generated. Run flag is turned off after completion. Negative value corresponds to infinite looping | int32                 | read write
    *  | 0x6[0-7]08 | Duty cycle               | 0.5           | Duty cycle of square and pulse shapes                                                                                     | 0 to 1 float <BR> Resolution is frequency/10000 | read write
    *  | 0x6[0-7]09 | External trigger         | 0             | Vector Pattern Unit can be synchronised with external signal (0=disabled, 1=rising/falling edge, 2=rising edge trigger)   | uint32                | read write
    *  | 0x6[0-7]0a | Output                   | N/A           | Output of signal generator                                                                                                | float                 | read only
    *  | 0x6[0-7]0b | Stair count              | 5             | Count + direction of stairs for staircase shape<BR> (ignored for other shape types)                                       | -100 to 100 int32     | read write
    *  | 0x6[0-7]0c | External trigger GPIOx   | false         | Turns GPIOx pin to trigger input source (GPIOx default is trigger output) and disables global external trigger SYNCx pin  | boolean               | read write
    *

    registers table 1:

    +---------------+-------+
    | Waveform Unit | Value |
    +===============+=======+
    | Current       | 0     |
    +---------------+-------+

    registers table 2:

    +---------------+-------+
    | Wavform Shape | Value |
    +===============+=======+
    | Sinusoidal    | 0     |
    +---------------+-------+
    | Triangular    | 1     |
    +---------------+-------+
    | Rectangular   | 2     |
    +---------------+-------+
    | Sawtooth      | 3     |
    +---------------+-------+
    | Pulse         | 4     |
    +---------------+-------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.SignalGenerator.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`,
|  |  | sys_id_base = `0x60`
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ GetAmplitude()

def optoKummenberg.registers.InputStage.SignalGenerator.GetAmplitude | ( |  | self | ) |

## ◆ GetCycles()

def optoKummenberg.registers.InputStage.SignalGenerator.GetCycles | ( |  | self | ) |

## ◆ GetDutyCycle()

def optoKummenberg.registers.InputStage.SignalGenerator.GetDutyCycle | ( |  | self | ) |

## ◆ GetExtTriggerGPIO()

def optoKummenberg.registers.InputStage.SignalGenerator.GetExtTriggerGPIO | ( |  | self | ) |

## ◆ GetFrequency()

def optoKummenberg.registers.InputStage.SignalGenerator.GetFrequency | ( |  | self | ) |

## ◆ GetOffset()

def optoKummenberg.registers.InputStage.SignalGenerator.GetOffset | ( |  | self | ) |

## ◆ GetOutput()

def optoKummenberg.registers.InputStage.SignalGenerator.GetOutput | ( |  | self | ) |

## ◆ GetPhase()

def optoKummenberg.registers.InputStage.SignalGenerator.GetPhase | ( |  | self | ) |

## ◆ GetRunningStatus()

def optoKummenberg.registers.InputStage.SignalGenerator.GetRunningStatus | ( |  | self | ) |

## ◆ GetShape()

def optoKummenberg.registers.InputStage.SignalGenerator.GetShape | ( |  | self | ) |

## ◆ GetStairCount()

def optoKummenberg.registers.InputStage.SignalGenerator.GetStairCount | ( |  | self | ) |

## ◆ GetUnit()

def optoKummenberg.registers.InputStage.SignalGenerator.GetUnit | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.InputStage.SignalGenerator.help | ( |  | ) |
| static

## ◆ Run()

def optoKummenberg.registers.InputStage.SignalGenerator.Run | ( |  | self | ) |

## ◆ SetAmplitude()

def optoKummenberg.registers.InputStage.SignalGenerator.SetAmplitude | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetCycles()

def optoKummenberg.registers.InputStage.SignalGenerator.SetCycles | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetDutyCycle()

def optoKummenberg.registers.InputStage.SignalGenerator.SetDutyCycle | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetExternalTrigger()

def optoKummenberg.registers.InputStage.SignalGenerator.SetExternalTrigger | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetExtTriggerGPIO()

def optoKummenberg.registers.InputStage.SignalGenerator.SetExtTriggerGPIO | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetFrequency()

def optoKummenberg.registers.InputStage.SignalGenerator.SetFrequency | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetOffset()

def optoKummenberg.registers.InputStage.SignalGenerator.SetOffset | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetPhase()

def optoKummenberg.registers.InputStage.SignalGenerator.SetPhase | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetShape()

def optoKummenberg.registers.InputStage.SignalGenerator.SetShape | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetStairCount()

def optoKummenberg.registers.InputStage.SignalGenerator.SetStairCount | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetUnit()

def optoKummenberg.registers.InputStage.SignalGenerator.SetUnit | ( |  | self,
|  |  | value
| ) |  |

## ◆ Stop()

def optoKummenberg.registers.InputStage.SignalGenerator.Stop | ( |  | self | ) |

## Member Data Documentation

## ◆ amplitude

optoKummenberg.registers.InputStage.SignalGenerator.amplitude

## ◆ cycles

optoKummenberg.registers.InputStage.SignalGenerator.cycles

## ◆ duty_cycle

optoKummenberg.registers.InputStage.SignalGenerator.duty_cycle

## ◆ ext_trigger_gpio

optoKummenberg.registers.InputStage.SignalGenerator.ext_trigger_gpio

## ◆ external_trigger

optoKummenberg.registers.InputStage.SignalGenerator.external_trigger

## ◆ frequency

optoKummenberg.registers.InputStage.SignalGenerator.frequency

## ◆ name

optoKummenberg.registers.InputStage.SignalGenerator.name

## ◆ offset

optoKummenberg.registers.InputStage.SignalGenerator.offset

## ◆ output

optoKummenberg.registers.InputStage.SignalGenerator.output

## ◆ phase

optoKummenberg.registers.InputStage.SignalGenerator.phase

## ◆ run

optoKummenberg.registers.InputStage.SignalGenerator.run

## ◆ shape

optoKummenberg.registers.InputStage.SignalGenerator.shape

## ◆ stair_count

optoKummenberg.registers.InputStage.SignalGenerator.stair_count

## ◆ sys_id

optoKummenberg.registers.InputStage.SignalGenerator.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.SignalGenerator.unit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py